| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.DemConfFile Class Reference

Class for reading DEM configuration files. More...

Inheritance diagram for EECFI.DemConfFile:

List of all members.

## Public Member Functions
| DemConfFile ()
| Constructor.
| DemConfFile (final String fileNam)
| Constructor by name.
native void | read () throws CfiError
| Read the data block and store it in object.
## Public Attributes
long | model
String | dir
| The following parameters are Deprecated from version 4.2.
double | resX
| Interval between points along X-axis.
double | resY
| Interval between points along Y-axis.
double | resUnit
| Conversion factor from x,y units to the res_X, res_Y units.
long | XNumPoints
| Number of points along X-axis (columns).
long | YNumPoints
| Number of points along Y-axis (lines)).
double | xRange
| longitude of the x-axis for one file (grid).
double | yRange
| longitude of the y-axis for one file (grid).
long | dataSize
| Size in bytes of the data stored in the files.
long | dataType
| Data type.
double[] | northAlt
| Altitude at the North pole cell.
double[] | southAlt
| Altitude at the South pole cell.
double | offsetX
| Offsets.
long | metadataModel
| END Deprecated parameters from version 4.2.
String | userDirectory
| User directory.
long | cacheType
| Cache type (DemCacheTypeEnum).
long | cacheMaxSize
| CacheMaxSize (measured in MB).
DemMiniTiles | miniTiles
| DEM mini tiles configuration.
long | geoidComputation
| Geoid computation flag (DemGeoidFlagEnum).
long | geoidNumHarmonics
| Number of harmonics to be used in geoid computations.

## Detailed Description

Class for reading DEM configuration files.

## Constructor & Destructor Documentation

EECFI.DemConfFile.DemConfFile | ( |  | ) |

Constructor.

EECFI.DemConfFile.DemConfFile | ( | final String | fileNam | ) |

Constructor by name.

## Member Function Documentation

native void EECFI.DemConfFile.read | ( |  | ) | throws CfiError

Read the data block and store it in object.

## Member Data Documentation

long EECFI.DemConfFile.cacheMaxSize

CacheMaxSize (measured in MB).

long EECFI.DemConfFile.cacheType

Cache type (DemCacheTypeEnum).

long EECFI.DemConfFile.dataSize

Size in bytes of the data stored in the files.

long EECFI.DemConfFile.dataType

Data type.

String EECFI.DemConfFile.dir

The following parameters are Deprecated from version 4.2.

Directory for the the DEM files.

long EECFI.DemConfFile.geoidComputation

Geoid computation flag (DemGeoidFlagEnum).

long EECFI.DemConfFile.geoidNumHarmonics

Number of harmonics to be used in geoid computations.

long EECFI.DemConfFile.metadataModel

END Deprecated parameters from version 4.2.

DEM model

DemMiniTiles EECFI.DemConfFile.miniTiles

DEM mini tiles configuration.

long EECFI.DemConfFile.model

double [] EECFI.DemConfFile.northAlt

Altitude at the North pole cell.

double EECFI.DemConfFile.offsetX

Offsets.

For ANR - 187: The points will be given for the center of a cell instead of the corners. The offset is the difference betweeen the center of the cell an the side of the cell (in degrees).

double EECFI.DemConfFile.resUnit

Conversion factor from x,y units to the res_X, res_Y units.

i.e. if res_X is given in seconds and X in degrees => res_unit=3600

double EECFI.DemConfFile.resX

Interval between points along X-axis.

double EECFI.DemConfFile.resY

Interval between points along Y-axis.

double [] EECFI.DemConfFile.southAlt

Altitude at the South pole cell.

String EECFI.DemConfFile.userDirectory

User directory.

long EECFI.DemConfFile.XNumPoints

Number of points along X-axis (columns).

double EECFI.DemConfFile.xRange

longitude of the x-axis for one file (grid).

long EECFI.DemConfFile.YNumPoints

Number of points along Y-axis (lines)).

double EECFI.DemConfFile.yRange

longitude of the y-axis for one file (grid).